Bug 63762 - JMeter gives - [Fatal Error] Test%20Plan.jmx:5106:59: Character reference "&#x1f" is an invalid XML character - error during a record run
Summary: JMeter gives - [Fatal Error] Test%20Plan.jmx:5106:59: Character reference "&#...
Status: REOPENED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 5.1.1
Hardware: PC All
: P2 major (vote)
Target Milestone: JMETER_5.2
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-23 02:47 UTC by isuk
Modified: 2019-10-15 03:51 UTC (History)
1 user (show)



Attachments
Invalid XML character (91.13 KB, image/png)
2019-09-23 02:47 UTC, isuk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description isuk 2019-09-23 02:47:11 UTC
Created attachment 36792 [details]
Invalid XML character

Recorded a basic JMeter script using JMeter GUI and saved the test plan. Once I try to re-run the recorded script I get the following error message in JMeter:

"[Fatal Error] Test%20Plan.jmx:5106:59: Character reference "&#x1f" is an invalid XML character."
Comment 1 isuk 2019-09-30 22:01:21 UTC
CLOSING THIS as there is no help from or answer from JMeter community - I had another ongoing bug which was related to slave threads still running and master was finished running threads.....a genuine bug. But, no help was provided. The issue still exists.



LESSON LEARNED: Use a tool that has wider help and BUG FREE.
Comment 2 Philippe Mouawad 2019-09-30 22:08:17 UTC
(In reply to isuk from comment #1)
> CLOSING THIS as there is no help from or answer from JMeter community - I
> had another ongoing bug which was related to slave threads still running and
> master was finished running threads.....a genuine bug. But, no help was
> provided. The issue still exists.
> 
> 
> 
> LESSON LEARNED: Use a tool that has wider help and BUG FREE.

Your other bug was fixed and I asked for feedback.
This one is opened with very few details, what can we do with a screenshot?

Anyway, it's not very nice to behave this way.
Any tool can have bug and you're welcome to compare our reactivity with other OSS or commercial tools, you'll see if we're as bad as you think.



Reopening requiring the jmx test plan and logs .
Comment 3 isuk 2019-10-02 01:03:36 UTC
Sorry I didn't target anyone. I was giving my opinion as it will help anyone like myself who is expecting a resolution for a genuine issue and not getting notified of its whereabout statuses. Also, 63723: was a distributed load test related issue and I don't understand how anyone not found this issue before.

I haven't received nor any email regarding any feedback for the resolution of 63723. I can see you've just done some the git commits. Could you let me know what is the fix is all about? Will this fix resolve workers/slaves not finishing threads correctly issue?

This fix is available with JMeter 5.2 I believe. If so, when will be the next release? how long we have to wait?
Comment 4 Philippe Mouawad 2019-10-02 06:10:46 UTC
(In reply to isuk from comment #3)
> Sorry I didn't target anyone. I was giving my opinion as it will help anyone
> like myself who is expecting a resolution for a genuine issue and not
> getting notified of its whereabout statuses. 


If you didn’t uncheck notify when updated, then you should have received 3 to 4 mails indicating that issue is fixed.
But if you use mailinator I’m not sure you follow those mails.
Also, 63723: was a distributed
> load test related issue and I don't understand how anyone not found this
> issue before.

Because issue happens when there is a delay between test end on slaves and you had a hanging request due to missing timeout on requests as per best practices.If slaves end at the same time, you won’t get the issue

> 
> I haven't received nor any email regarding any feedback for the resolution
> of 63723. I can see you've just done some the git commits. Could you let me
> know what is the fix is all about?

The fix fixes the way we detect all agents have ended test and we generate only after that

 Will this fix resolve workers/slaves not
> finishing threads correctly issue?

it should, but we are waiting for your confirmation 
> 
> This fix is available with JMeter 5.2 I believe. If so, when will be the
> next release? how long we have to wait?

You can already test nightly build.
We ‘ll probably  release this month


For this issue, we need more details as per previous comment
Comment 5 isuk 2019-10-08 00:25:53 UTC
(In reply to Philippe Mouawad from comment #4)
> (In reply to isuk from comment #3)
> > Sorry I didn't target anyone. I was giving my opinion as it will help anyone
> > like myself who is expecting a resolution for a genuine issue and not
> > getting notified of its whereabout statuses. 
> 
> 
> If you didn’t uncheck notify when updated, then you should have received 3
> to 4 mails indicating that issue is fixed.
> But if you use mailinator I’m not sure you follow those mails.
> Also, 63723: was a distributed
> > load test related issue and I don't understand how anyone not found this
> > issue before.
> 
> Because issue happens when there is a delay between test end on slaves and
> you had a hanging request due to missing timeout on requests as per best
> practices.If slaves end at the same time, you won’t get the issue
> 
> > 
> > I haven't received nor any email regarding any feedback for the resolution
> > of 63723. I can see you've just done some the git commits. Could you let me
> > know what is the fix is all about?
> 
> The fix fixes the way we detect all agents have ended test and we generate
> only after that
> 
>  Will this fix resolve workers/slaves not
> > finishing threads correctly issue?
> 
> it should, but we are waiting for your confirmation 
> > 
> > This fix is available with JMeter 5.2 I believe. If so, when will be the
> > next release? how long we have to wait?
> 
> You can already test nightly build.
> We ‘ll probably  release this month

how can I get the nightly build? where it is available?

> 
> 
> For this issue, we need more details as per previous comment
will send you over soon.
Comment 6 Philippe Mouawad 2019-10-08 05:09:16 UTC
Nightly build here:

https://ci.apache.org/projects/jmeter/nightlies/
Comment 7 isuk 2019-10-15 03:51:13 UTC
(In reply to isuk from comment #5)
> (In reply to Philippe Mouawad from comment #4)
> > (In reply to isuk from comment #3)
> > > Sorry I didn't target anyone. I was giving my opinion as it will help anyone
> > > like myself who is expecting a resolution for a genuine issue and not
> > > getting notified of its whereabout statuses. 
> > 
> > 
> > If you didn’t uncheck notify when updated, then you should have received 3
> > to 4 mails indicating that issue is fixed.
> > But if you use mailinator I’m not sure you follow those mails.
> > Also, 63723: was a distributed
> > > load test related issue and I don't understand how anyone not found this
> > > issue before.
> > 
> > Because issue happens when there is a delay between test end on slaves and
> > you had a hanging request due to missing timeout on requests as per best
> > practices.If slaves end at the same time, you won’t get the issue
> > 
> > > 
> > > I haven't received nor any email regarding any feedback for the resolution
> > > of 63723. I can see you've just done some the git commits. Could you let me
> > > know what is the fix is all about?
> > 
> > The fix fixes the way we detect all agents have ended test and we generate
> > only after that
> > 
> >  Will this fix resolve workers/slaves not
> > > finishing threads correctly issue?
> > 
> > it should, but we are waiting for your confirmation 
> > > 
> > > This fix is available with JMeter 5.2 I believe. If so, when will be the
> > > next release? how long we have to wait?
> > 
> > You can already test nightly build.
> > We ‘ll probably  release this month
> 
> how can I get the nightly build? where it is available?
> 
> > 
> > 
> > For this issue, we need more details as per previous comment
> will send you over soon.

I learned that this happens due to this scenario:
1. Create a new Test Plan, do a simple HTTP(s) Test Script Recorder and saved it to a new Test Folder.
2. Then try to do file> save Test plan as > the same test plan (delete the previously recorded samplers (from Recording Controller) and record a new test to the same test plan using Test Script Recorder to a NEW Folder) and run the test using non-GUI mode. 

you should able to see the error.


Note: Also, I would like to know whether using HTTP(s) Test Script Recorder is accurate? We are using the recorder for simple function and its recording for load test scenarios. I learned that for e.g. timings, when recording using HTTP recorder and run, is different from when you manually time the same using a stopwatch. Timings are varied like in good seconds. 

We use HTTP Requests Defaults, Recording Controller and HTTP(s) Test Script Recorder for simple functionality recording and then to load tests. 

Let me know (reply for the original bug and for my question)

Thank you.